Bug 134932 - File locking doesn't work
File locking doesn't work
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-10-07 07:34 EDT by Ben Smith
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-07 15:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Smith 2004-10-07 07:34:40 EDT
Description of problem:
Files (even local files) can be simultaneously edited by multiple
users in different ways.  The last version saved is the one that
exists, all others are lost.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open Openoffice Writer as user A
2. Create and save new world-writable file as user A
3. Keep file open as user A
4. Open file in Openoffice Writer as user B
5. Notice, no 'file already in use' warning
6. Edit and save file as user B
7. Edit and save file as user A
8. Notice, no 'file altered on disk' warning 
Actual results:
Silent data loss.

Expected results:
Warning on opening file currently in use and readonly status set.

Additional info:
This may be relevant:

Problem also occurs on updated Fedora Core 1.
This problem occurs in wine as well, so may not be OOo specific.
Comment 1 Dan Williams 2004-10-07 15:40:00 EDT
Ok, this will be an upstreamed bug then...
Comment 2 Ben Smith 2004-10-10 06:05:50 EDT
Nevermind, I've done a poor job of testing... 
Although FC1 is still broken (1.1.0-16), locking works fine in both 
1.1.2-3 (FC3T2) and 1.1.1-6 (FC3T1) as long as the proper lines are 
uncommented in the soffice script, as per the bug report above.  So 
perhaps the version should be changed to FC1. 
I'd like to see locking made default, though, so would you consider 
adding a patch to soffice if I submitted one? 

Note You need to log in before you can comment on or make changes to this bug.